Summary: Admin scripts for OpenBrainSK
Name: ob-admin
Version: 1.0.4
Release: 0
Source0: http://web.openbrain.sk/%{name}-%{version}.tar.gz
BuildArch: noarch
Group: Applications/System
License: MIT
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Admin scripts for OpenBrainSK

%package slurm
Summary:    Admin slurm scripts for OpenBrainSK
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description slurm
Admin slurm scripts for OpenBrainSK

%package ipa
Summary:    Admin ipa scripts for OpenBrainSK
Group:      Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: ipa-client openldap-clients

%description ipa
Admin ipa scripts for OpenBrainSK

%package eos
Summary:    Admin eos scripts for OpenBrainSK
Group:      Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: eos-client

%description eos
Admin eos scripts for OpenBrainSK

%prep
%setup -q

%build
echo "Nothing to build"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_sysconfdir}/ob $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -D bin/* $RPM_BUILD_ROOT%{_bindir}/
install -m 644 -D etc/ob/* $RPM_BUILD_ROOT%{_sysconfdir}/ob/
install -m 644 -D etc/sysconfig/* $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/

%files
%{_bindir}/ob-xcat
%{_bindir}/ob-x2go
%config(noreplace) %{_sysconfdir}/sysconfig/ob.conf
%{_sysconfdir}/sysconfig/ob-hlit.conf


%files slurm
%{_bindir}/ob-slurm-group-sync

%files ipa
%{_bindir}/ob-ipa*
%{_sysconfdir}/ob/*

%files eos
%{_bindir}/ob-eos*

%changelog

